local monocle = require("#monocle")

local vector2 = require("#microsoft.xna.framework.vector2")

function onBegin(room)
  disableMovement()
  disableRetry()
  player.ForceCameraUpdate = true
  wait(1)
  playSound("event:/Nyan2026_Voicelines/trapperdapper", player.Position)
  wait(7.5)
  setFlag("donk_EndNyan2026", true)
  wait(0.3)
  say("Nyan2026_HappyBirthday")
  completeArea(True, False, True)
  enableMovement()
end

function onEnd(room, wasSkipped)
  enableMovement()
  player.DummyAutoAnimate = true
  player.ForceCameraUpdate = true
  getLevel():ResetZoom()
  enableMovement()
  completeArea(True, False, True)
end